"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
/**
 * Class that represents model validation errors.
 */
class ValidationError extends __1.ResponseError {
}
exports.ValidationError = ValidationError;
exports.invalidEnumValue = (key, givenValue) => new ValidationError(400, 'invalidEnumValue', 'The given enum value is not valid.', { key, givenValue });
exports.fieldRequired = (key) => new ValidationError(400, 'fieldRequired', 'The field is required.', { key });
exports.invalidFormat = (key, givenValue, expectedFormat) => new ValidationError(400, 'invalidFormat', 'The given value has an invalid format.', { key, givenValue, expectedFormat });
exports.invalidType = (key, givenValue) => new ValidationError(400, 'invalidType', 'The given value has an invalid type.', { key, givenType: typeof givenValue });
//# sourceMappingURL=validation-errors.js.map