import { Field } from '..';
import Model from '../schema/model';
declare const _default: <TExternal, TInternal>(field: Field<TExternal, TInternal>) => <TModel extends {}, TKey extends keyof TModel>(target: Model & Partial<Record<TKey, TInternal>>, key: TKey) => void;
/**
 * Decorates a model property, making it delegate get and set methods to a
 * @param field: The field instance that specifies how the property should be validated.
 * @typeparam TExternal The type of the field when serialized.
 * @typeparam TInternal The type of the field in the application.
 * @return The decorator.
 */
export default _default;
